%define name	efax-gtk
%define version	2.2.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	GTK2 frontend for efax
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.src.tar.bz2
URL:		http://www.cvine.freeserve.co.uk/efax-gtk/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgtkmm2.0-devel
Requires:	ghostscript cups gv

%description
Efax-gtk provides a GUI frontend for the efax fax program. It interfaces with
efax directly, replacing the scripts supplied with efax, and can be used for
receiving and sending faxes, and for viewing, printing, and managing faxes
which have been received and sent.

%prep
%setup -q

%build
%configure
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="communications_section.png" needs="x11" title="EFax-GTK" longtitle="Send faxes with efax" section="Applications/Communications"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
#%{_datadir}/cups/model/*.ppd
%{_mandir}/man1/*
%{_menudir}/%name
/var/spool/fax/*

%changelog
* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 2.2.0-1mdk
- 2.2.0

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 2.0.9-1mdk
- 2.0.9
- post macro
- cups model name

* Fri Apr 11 2003 Austin Acton <aacton@yorku.ca> 2.0.5a-1mdk
- initial package
